Index: PLIST
===================================================================
RCS file: /cvsroot/pkgsrc/lang/g95/PLIST,v
retrieving revision 1.5
diff -u -r1.5 PLIST
--- PLIST	20 Sep 2013 23:06:07 -0000	1.5
+++ PLIST	14 Dec 2016 04:48:44 -0000
@@ -5,8 +5,6 @@
 lib/gcc-lib/${MACHINE_GNU_PLATFORM}/4.1.2/cc1
 lib/gcc-lib/${MACHINE_GNU_PLATFORM}/4.1.2/f951
 lib/gcc-lib/${MACHINE_GNU_PLATFORM}/4.1.2/libgcc_eh.a
-lib/gcc-lib/${MACHINE_GNU_PLATFORM}/4.1.2/libgcc_s.so
-lib/gcc-lib/${MACHINE_GNU_PLATFORM}/4.1.2/libgcc_s.so.1
 lib/gcc-lib/${MACHINE_GNU_PLATFORM}/4.1.2/libgcc.a
 lib/gcc-lib/${MACHINE_GNU_PLATFORM}/4.1.2/libf95.la
 share/doc/g95/G95Manual.pdf
Index: distinfo
===================================================================
RCS file: /cvsroot/pkgsrc/lang/g95/distinfo,v
retrieving revision 1.28
diff -u -r1.28 distinfo
--- distinfo	2 Oct 2016 23:26:39 -0000	1.28
+++ distinfo	14 Dec 2016 04:48:44 -0000
@@ -8,10 +8,10 @@
 RMD160 (gcc-core-4.1.2.tar.bz2) = 612cbd5b795f7095fb3f565e6a8eaaee82c472c5
 SHA512 (gcc-core-4.1.2.tar.bz2) = 002a2025f809781e8d427c00dfe884429ae094ad417edc3393f5bae249ae6049ea0c27e43caf51f9f15525bd35e24ad2c993c57f191b9196fdb68fd20e503f6e
 Size (gcc-core-4.1.2.tar.bz2) = 17485561 bytes
-SHA1 (patch-ab) = 7429a4da26aa573dcdd94bf417da1e009f95d273
+SHA1 (patch-ab) = c5d19d7f16d6e34c466af0daef3c1274a2ad82ba
 SHA1 (patch-configure) = 48450808201d4ea5ddb993627c4efeaf43d53bd2
 SHA1 (patch-g95spec.c) = d6f434e715835cd39511c45ed18632c8401b78a2
-SHA1 (patch-gcc_Makefile.in) = cc5cc142a85612ebf2d38513e4b05db0ae795268
+SHA1 (patch-gcc_Makefile.in) = 011e1ce7f9cef61e8886d1d59c98c88fbee3e142
 SHA1 (patch-gcc_config.gcc) = ed135c425730d231182e36af840278d307396c6e
 SHA1 (patch-gcc_config_dragonfly-spec.h) = bf0c97caa314714542cf8cc63fdf0c73bda80511
 SHA1 (patch-gcc_config_dragonfly.h) = 6d46b7b4637a20b36e19a15e1eaffdfff6638de9
Index: patches/patch-ab
===================================================================
RCS file: /cvsroot/pkgsrc/lang/g95/patches/patch-ab,v
retrieving revision 1.8
diff -u -r1.8 patch-ab
--- patches/patch-ab	20 Sep 2013 23:06:07 -0000	1.8
+++ patches/patch-ab	14 Dec 2016 04:48:44 -0000
@@ -4,8 +4,8 @@
 
 Pass down correct path for libf95 to g95specs.c.
 
---- Makefile.in.orig	2010-04-22 04:23:24.000000000 +0000
-+++ Makefile.in
+--- Makefile.in.orig	2010-04-22 06:23:24.000000000 +0200
++++ Makefile.in	2015-07-23 16:35:26.388009242 +0200
 @@ -15,6 +15,7 @@
  
  @SET_MAKE@
@@ -14,7 +14,7 @@
  
  VPATH = @srcdir@
  pkgdatadir = $(datadir)/@PACKAGE@
-@@ -1418,7 +1419,7 @@ clean-local:
+@@ -1418,7 +1419,7 @@
  	rm -f options.tmp options.c options.h version.c
  
  install-exec-hook:
@@ -23,15 +23,19 @@
  
  install-data-hook:
  	-ln -sf f951$(EXEEXT) $(DESTDIR)@DEST_LIBDIR@/cc1
-@@ -1429,8 +1430,9 @@ install-data-hook:
+@@ -1429,12 +1430,9 @@
  	  ranlib $(DESTDIR)@DEST_LIBDIR@/libgcc_eh.a ; \
  	  ranlib $(DESTDIR)@DEST_LIBDIR@/libgcc.a ; \
  	fi
 -	cp INSTALL $(DESTDIR)@DEST_LIBDIR@/../../../..
 -	cp G95Manual.pdf $(DESTDIR)@DEST_LIBDIR@/../../../..
+-	if test -n "`ls @GCC_DIR@/g95/gcc/libgcc_s.*`" ; then \
+-	   (cd @GCC_DIR@/g95/gcc; tar cf - libgcc_s.*) | \
+-           (cd $(DESTDIR)@DEST_LIBDIR@; tar xf -) ; \
+-	fi
 +	test -z "$(docdir)" || $(MKDIR_P) "$(DESTDIR)$(docdir)"
 +	$(INSTALL_DATA) INSTALL $(DESTDIR)$(docdir)
 +	$(INSTALL_DATA) G95Manual.pdf $(DESTDIR)$(docdir)
- 	if test -n "`ls @GCC_DIR@/g95/gcc/libgcc_s.*`" ; then \
- 	   (cd @GCC_DIR@/g95/gcc; tar cf - libgcc_s.*) | \
-            (cd $(DESTDIR)@DEST_LIBDIR@; tar xf -) ; \
+ 	if test -n "`ls @GCC_DIR@/g95/gcc/libunwind.*`" ; then \
+ 	   (cd @GCC_DIR@/g95/gcc; tar cf - libunwind.*) | \
+ 	   (cd $(DESTDIR)@DEST_LIBDIR@; tar xf -) ; \
Index: patches/patch-gcc_Makefile.in
===================================================================
RCS file: /cvsroot/pkgsrc/lang/g95/patches/patch-gcc_Makefile.in,v
retrieving revision 1.1
diff -u -r1.1 patch-gcc_Makefile.in
--- patches/patch-gcc_Makefile.in	20 Sep 2013 23:06:07 -0000	1.1
+++ patches/patch-gcc_Makefile.in	14 Dec 2016 04:48:44 -0000
@@ -3,9 +3,9 @@
 Add gcc libdir to a programs rpath so that _this gcc's_ support libraries
 are found.
 
---- ../gcc-4.1.2/gcc/Makefile.in.orig	2012-03-07 10:59:56.000000000 +0000
-+++ ../gcc-4.1.2/gcc/Makefile.in
-@@ -1597,6 +1597,7 @@ c-pch.o : c-pch.c $(CONFIG_H) $(SYSTEM_H
+--- ../gcc-4.1.2/gcc/Makefile.in.orig	2006-11-01 15:40:44.000000000 +0100
++++ ../gcc-4.1.2/gcc/Makefile.in	2015-07-23 15:02:12.686887806 +0200
+@@ -1597,6 +1597,7 @@
  # Language-independent files.
  
  DRIVER_DEFINES = \
@@ -13,3 +13,51 @@
    -DSTANDARD_STARTFILE_PREFIX=\"$(unlibsubdir)/\" \
    -DSTANDARD_EXEC_PREFIX=\"$(libdir)/gcc/\" \
    -DSTANDARD_LIBEXEC_PREFIX=\"$(libexecdir)/gcc/\" \
+@@ -4335,7 +4336,6 @@
+ 	-if [ -f libgcc_eh.a ] ; then cp libgcc_eh.a stage1; \
+ 	   $(RANLIB_FOR_TARGET) stage1/libgcc_eh.a; \
+ 	fi
+-	-cp libgcc_s*$(SHLIB_EXT) stage1
+ 	-cp libunwind.a libunwind*$(SHLIB_EXT) stage1
+ 	-for f in .. $(EXTRA_MULTILIB_PARTS); do if [ x$${f} != x.. ]; then \
+ 	  cp stage1/$${f} . ; \
+@@ -4374,7 +4374,6 @@
+ 	-if [ -f libgcc_eh.a ] ; then cp libgcc_eh.a stage2; \
+ 	   $(RANLIB_FOR_TARGET) stage2/libgcc_eh.a; \
+ 	fi
+-	-cp libgcc_s*$(SHLIB_EXT) stage2
+ 	-cp libunwind.a libunwind*$(SHLIB_EXT) stage2
+ 	-for f in .. $(EXTRA_MULTILIB_PARTS); do if [ x$${f} != x.. ]; then \
+ 	  cp stage2/$${f} . ; \
+@@ -4409,7 +4408,6 @@
+ 	-if [ -f libgcc_eh.a ] ; then cp libgcc_eh.a stage3; \
+ 	   $(RANLIB_FOR_TARGET) stage3/libgcc_eh.a; \
+ 	fi
+-	-cp libgcc_s*$(SHLIB_EXT) stage3
+ 	-cp libunwind.a libunwind*$(SHLIB_EXT) stage3
+ 	-for f in .. $(EXTRA_MULTILIB_PARTS); do if [ x$${f} != x.. ]; then \
+ 	  cp stage3/$${f} . ; \
+@@ -4444,7 +4442,6 @@
+ 	-if [ -f libgcc_eh.a ] ; then cp libgcc_eh.a stage4; \
+ 	   $(RANLIB_FOR_TARGET) stage4/libgcc_eh.a; \
+ 	fi
+-	-cp libgcc_s*$(SHLIB_EXT) stage4
+ 	-cp libunwind.a libunwind*$(SHLIB_EXT) stage4
+ 	-for f in .. $(EXTRA_MULTILIB_PARTS); do if [ x$${f} != x.. ]; then \
+ 	  cp stage4/$${f} . ; \
+@@ -4477,7 +4474,6 @@
+ 	-if [ -f libgcc_eh.a ] ; then cp libgcc_eh.a stageprofile; \
+ 	   $(RANLIB_FOR_TARGET) stageprofile/libgcc_eh.a; \
+ 	fi
+-	-cp libgcc_s*$(SHLIB_EXT) stageprofile
+ 	-cp libunwind.a libunwind*$(SHLIB_EXT) stageprofile
+ 	-for f in .. $(EXTRA_MULTILIB_PARTS); do if [ x$${f} != x.. ]; then \
+ 	  cp stageprofile/$${f} . ; \
+@@ -4515,7 +4511,6 @@
+ 	-if [ -f libgcc_eh.a ] ; then cp libgcc_eh.a stagefeedback; \
+ 	   $(RANLIB_FOR_TARGET) stagefeedback/libgcc_eh.a; \
+ 	fi
+-	-cp libgcc_s*$(SHLIB_EXT) stagefeedback
+ 	-cp libunwind.a libunwind*$(SHLIB_EXT) stagefeedback
+ 	-for f in .. $(EXTRA_MULTILIB_PARTS); do if [ x$${f} != x.. ]; then \
+ 	  cp stagefeedback/$${f} . ; \
